/*
Theme Name: Diocese of Orange
Author: RCBO IT Department
Description: Frost Child Theme
Version: 1.0
Template: frost
Theme URI: https://frostwp.com/
Author URI: https://www.rcbo.org/
*/

/*
Elements style for:
Header
Nav Styles
hero Overrides Styles
Accents  and Lines
Helpers
*/

:root {
	--fc-event-bg-color: var(--wp--preset--color--primary); 
	--fc-event-border-color: var(--wp--preset--color--primary);
}

body {
	background-color: #fff;
}

/* Change the Mobile Nav Brake Point */
@media (max-width: 1100px) {
	.wp-block-navigation__responsive-container-open {
			display: flex!important;
	}

	.wp-block-navigation__responsive-container {
		display: none!important;
	}
	.wp-block-navigation__responsive-container.is-menu-open {
		display: flex!important;
	}
}
/* Header Styles */
.admin-bar .site_main_header,
.admin-bar .site-header {
	top: 30px;
}

.site_main_header,
.site-header {
	position: absolute;
	width: 100%;
	top: 0;
	display: flex;
	justify-content: end;
	border-bottom: 4px solid var(--wp--preset--color--custom-tertiary);
	background: var(--wp--preset--color--primary);
	background: linear-gradient(180deg, rgba(44, 82, 52, 0.5) 0%, rgba(44, 82, 52, 0.6) 40%, rgba(44, 82, 52, 0.8) 100%);
	backdrop-filter: blur(0px);
	transition: all 0.3s ease-in-out;
	z-index: 999;
}

.site_main_header .wp-block-site-logo,
.site-header .wp-block-site-logo {
	position: absolute;
	top: 20px;
	left: 20px;
	width: 125px;
	transition: all 0.3s ease-in-out;
}

.site_main_header .nav-title,
.site-header .nav-title {
	position: absolute;
	left: 150px;
	display: flex;
	flex-flow: column nowrap;
	transition: all 0.3s ease-in-out;
}

.site_main_header .nav-title .first,
.site-header .nav-title .first {
	font-weight: bold;
	text-transform: uppercase;
	font-size: 40px;
	line-height: 40px;
	transition: all 0.3s ease-in-out;
}

.site_main_header .nav-title .second,
.site-header .nav-title .second {
	text-transform: uppercase;
	font-size: 25px;
	line-height: 25px;
	transition: all 0.3s ease-in-out;
}

.site_main_header .wp-block-group,
.site-header .wp-block-group {
	width: 100%;
	transition: all 0.3s ease-in-out;
}

.site_main_header .wp-block-navigation,
.site-header .wp-block-navigation {
	justify-content: flex-end;
}

.site_main_header .is-layout-flex,
.site-header .is-layout-flex {
	justify-content: flex-end;
}

/* Header when Scrolled */
.scrolled .site_main_header,
.scrolled .site-header {
	position: fixed;
	backdrop-filter: blur(7px);
	border-bottom: 2px solid var(--wp--preset--color--custom-tertiary);
}

.scrolled .site_main_header .wp-block-group,
.scrolled .site-header .wp-block-group {
	padding: 5px 15px !important;
}

.scrolled .site_main_header .wp-block-site-logo,
.scrolled .site-header .wp-block-site-logo {
	top: 10px;
	width: 60px;
}

.scrolled .site_main_header .nav-title,
.scrolled .site-header .nav-title {
	position: absolute;
	left: 85px;
	flex-flow: column nowrap;
}

.scrolled .site_main_header .nav-title .first,
.scrolled .site-header .nav-title .first {
	font-weight: bold;
	text-transform: uppercase;
	font-size: 25px;
	line-height: 30px;
	transition: all 0.3s ease-in-out;
}

.scrolled .site_main_header .nav-title .second,
.scrolled .site-header .nav-title .second {
	text-transform: uppercase;
	font-size: 15px;
	line-height: 15px;
	margin-left: 0;
	transition: all 0.3s ease-in-out;
}

.wp-block-navigation__submenu-container .wp-block-navigation__submenu-icon svg {
	stroke: #000;
}

/* Responsive Adjustments */
@media (max-width: 1250px) {
	.site_main_header .wp-block-site-logo,
	.site-header .wp-block-site-logo {
		top: 10px;
		left: 10px;
		width: 85px;
	}

	.site_main_header .nav-title,
	.site-header .nav-title {
		left: 90px;
	}

	.site_main_header .nav-title .first,
	.site-header .nav-title .first {
		font-size: 25px;
		line-height: 30px;
	}

	.site_main_header .nav-title .second,
	.site-header .nav-title .second {
		font-size: 15px;
		line-height: 20px;
	}

	.scrolled .site_main_header .nav-title,
	.scrolled .site-header .nav-title {
		left: 75px;
	}
}

@media (max-width: 1100px) {
	.site_main_header .wp-block-site-logo,
	.site-header .wp-block-site-logo {
		top: 10px;
		left: 10px;
		width: 85px;
	}

	.site_main_header .nav-title .first,
	.site-header .nav-title .first {
		font-size: 35px;
		line-height: 30px;
	}

	.site_main_header .nav-title .second,
	.site-header .nav-title .second {
		font-size: 25px;
		line-height: 35px;
		margin-left: 15px;
	}

	.site_main_header .nav-title,
	.site-header .nav-title {
		position: absolute;
		left: 100px;
		display: flex;
		flex-flow: row nowrap;
	}
	.wp-block-navigation__responsive-container.is-menu-open {
		height: 100vh;
		min-height: 400px;
		width: 100%;
	}
	.wp-block-navigation__responsive-container.is-menu-open .nav-title,
	.wp-block-navigation__responsive-container.is-menu-open .wp-block-site-logo {
		display: none;
	}
}
@media (max-width: 640px) {
	.site_main_header .wp-block-site-logo,
	.site-header .wp-block-site-logo {
		top: 10px;
		width: 60px;
	}

	.site_main_header .nav-title,
	.site-header .nav-title {
		left: 85px;
		flex-flow: column nowrap;
	}

	.site_main_header .nav-title .first,
	.site-header .nav-title .first {
		font-size: 25px;
		line-height: 30px;
	}

	.site_main_header .nav-title .second,
	.site-header .nav-title .second {
		font-size: 15px;
		line-height: 15px;
		margin-left: 0;
	}

	/* Header when Scrolled */
	.scrolled .site_main_header .wp-block-site-logo,
	.scrolled .site-header .wp-block-site-logo {
		top: 5px;
		width: 50px;
	}
}
/* END Header Styles */

/* Nav Styles */
.site_main_header .wp-block-button__link,
.site-header .wp-block-button__link {
	background: var(--wp--preset--color--custom-tertiary);
	color: var(--wp--preset--color--contrast) !important;
	border: 2px solid var(--wp--preset--color--custom-tertiary);
	border-radius: 30px;
}

.site_main_header .wp-block-button__link:hover,
.site-header .wp-block-button__link:hover {
	background: var(--wp--preset--color--secondary);
	color: var(--wp--preset--color--custom-tertiary) !important;
	border: 2px solid var(--wp--preset--color--custom-tertiary);
	border-radius: 30px;
}

.wp-block-navigation:not(.has-background) .wp-block-navigation__submenu-container {
	background-color: var(--wp--preset--color--custom-tertiary)!important;
	border: unset!important;
	padding: 0!important;
}
.wp-block-navigation :where(.wp-block-navigation__submenu-container) a {
	background: var(--wp--preset--color--custom-tertiary);
	color: var(--wp--preset--color--contrast)!important;
	padding: 5px 10px!important
}
.wp-block-navigation :where(.wp-block-navigation__submenu-container) a:hover {
	background: var(--wp--preset--color--primary);
	color: var(--wp--preset--color--base)!important;
	padding: 5px 10px;
}
@media (max-width: 1100px) {
	/*.site_main_header .wp-block-button__link {
		background: var(--wp--preset--color--custom-base);
		color: var(--wp--preset--color--contrast)!important;
		border: unset;
		border-radius: unset;
		padding: none;
	}
	.site_main_header .wp-block-button__link:hover {
		background: var(--wp--preset--color--base);
		color: var(--wp--preset--color--contrast)!important;
		border: unset;
		border-radius: unset;
	}*/
	.wp-block-navigation:not(.has-background) .wp-block-navigation__submenu-container {
		background-color: var(--wp--preset--color--custom-tertiary)!important;
		border: unset!important;
		padding: 0!important;
	}
	.wp-block-navigation :where(.wp-block-navigation__submenu-container) a {
		background: transparent;
		color: var(--wp--preset--color--contrast)!important;
		padding: unset;
	}
	.wp-block-navigation :where(.wp-block-navigation__submenu-container) a:hover {
		background: transparent;
		color: var(--wp--preset--color--contrast)!important;
		padding: unset;
	}
	/* Hide submenus by default */
	.wp-block-navigation__submenu-container {
		display: none!important;
		max-height: 0!important;
		overflow: hidden!important;
		transition: max-height 0.3s ease;
	}

	/* Show submenus when parent has 'is-menu-open' */
	.wp-block-navigation-submenu.is-menu-open > .wp-block-navigation__submenu-container {
		display: block!important;
		max-height: 1000px!important; /* big enough for most submenus */
	}

	/* Add a little animation for the submenu icon */
	.wp-block-navigation__submenu-icon {
		position: absolute;
		right: -20px;
		top: 0;
		width: 40px!important;
		height: 40px!important;
		background-color: var(--wp--preset--color--custom-tertiary)!important;
		border-radius: 40px;
		transition: transform 0.3s;
		padding: 10px!important;
		z-index: 1;
	}
	.wp-block-navigation__submenu-icon svg {
		position: relative;
		top: -50%;
		width: 20px!important;
	}
	.wp-block-navigation-submenu.is-menu-open > .wp-block-navigation-item__content + .wp-block-navigation__submenu-icon {
		transform: rotate(180deg);
	}
	.wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation__responsive-container-content .wp-block-navigation__submenu-icon {
		display: flex;
		flex-flow: row nowrap;
	}
	.site_main_header .wp-block-navigation {
		justify-content: flex-start!important;
	}
	.wp-block-navigation.items-justified-right {
		--navigation-layout-justification-setting: flex-start;
		--navigation-layout-justify: flex-start;
	}
	.wp-block-navigation__responsive-container-content ul {
		width: 90%!important;
		z-index: 2;
	}
	.wp-block-navigation__responsive-container-content ul li {
		flex-direction: column;
		width: calc(100% - 40px);
		z-index: 2;
	}
	.wp-block-navigation__responsive-container-content .wp-block-navigation-item__content {
		width: calc(100% + 40px);
		z-index: 2;
	}
	.wp-block-navigation__responsive-container-open {
		color: var(--wp--preset--color--custom-tertiary);
		border-color: var(--wp--preset--color--custom-tertiary);
	}
}
/* END Nav Styles */

/* hero Overrides Styles */
	.page-template-doc-hero-page-template.home .hero-content {
		position: absolute;
		top: unset;
		left: 0;
		bottom: 50px;
		transform: unset;
		max-width: 1000px;
		width: 90%;
		margin: 0 auto;
		padding: 0 50px;
		text-align: left;
		color: #fff;
		z-index: 5;
	}
	.page-template-doc-hero-page-template .hero-content {
		position: absolute;
		top: unset;
		left: 0;
		bottom: 50px;
		transform: unset;
		max-width: 1000px;
		width: 90%;
		margin: 0 auto;
		padding: 0 50px;
		text-align: left;
		color: #fff;
		z-index: 5;
	}
.page-template-doc-hero-page-template:not(.home) .hero-content .hero-title {
	font-size: 35px;
	line-height: 42px;
	font-weight: 600;
	text-transform: uppercase;
	margin-bottom: 0;
}
.page-template-doc-hero-page-template:not(.home) .hero-content .hero-subtitle {
	font-family: var(--wp--preset--font-family--playfair-display) !important;
	font-size: 65px;
  line-height: 69px;
	margin-top: 0;
}
.hero .wrap .slide:after {
	background: linear-gradient(0deg,rgba(19, 41, 75, 0.6) 0%, rgba(19, 41, 75, 0.6) 60%, rgba(19, 41, 75, 0) 100%)!important;
	background: linear-gradient(0deg,rgba(0, 0, 0, 0.4) 0%, rgba(0, 0, 0, 0.4) 60%, rgba(0, 0, 0, 0) 100%)!important;
	background: linear-gradient(0deg,rgba(44, 82, 52, 0.5) 0%, rgba(44, 82, 52, 0.5) 60%, rgba(44, 82, 52, 0) 100%)!important;
	height: 350px!important;
	bottom: 0!important;
	top: unset!important;
}
@media (max-width: 768px) {
	.page-template-doc-hero-page-template:not(.home) .hero-content .hero-title {
		font-size: 18px;
		line-height: 22px;
	}
	.page-template-doc-hero-page-template:not(.home) .hero-content .hero-subtitle {
		font-size: 35px;
  	line-height: 39px;
	}
	.page-template-doc-hero-page-template.home .hero-content,
	.page-template-doc-hero-page-template .hero-content {
		padding: 0 15px;
	}
	.page-template-doc-hero-page-template.home .hero-content .hero-title {
		font-size: 35px;
  	line-height: 39px;
	}
}
/* END hero Overrides Styles */
/* btn Styles */
.wp-block-button__link {
	border-radius: 30px;
}
/* End btn Styles */



/* Accents  and Lines */
.curved-line {
	position: relative;
}

.curved-line:before {
	content: '';
	position: absolute;
	left: -20px;
	display: block;
	width: 20px;
	height: 90%;
	background: var(--wp--preset--color--custom-tertiary); 
	clip-path: polygon(50% 550%, 37% 100%, 46% 91%, 47% 78%, 52% 57%, 50% 8%, 47% 4%, 31% 3%);
}
.curved-underline {
	position: relative;
}

.curved-underline:before {
	content: '';
	position: absolute;
	display: block;
	background: var(--wp--preset--color--custom-tertiary); 
	clip-path: polygon(100% 55%, 100% 63%, 46% 63%, 0 56%, 47% 51%);
	top: 10px;
	left: 50%;
	transform: translatex(-50%);
	height: 40px;
	width: 90%;
}
.divider-shape {
	position: relative;
}
.divider-shape:before {
	content: '';
	position: absolute;
	left: 50%;
	transform: translatex(-50%);
	bottom: 10px;
	display: block;
	width: 90%;
	height: 30px;
	clip-path: polygon(50% 40%, 100% 50%, 50% 60%, 0% 50%);
	background: var(--wp--preset--color--custom-tertiary);
	z-index: 5;
}
.logo-overlap {
	position: relative;
	margin-top: 150px!important;
}
.logo-overlap:before {
	content: '';
	display: block;
	position: relative;
	top: -62px;
	left: 50%;
	transform: translateX(-50%);
	width: 90%;
	height: 4px;
	border-radius: 4px;
	background: var(--wp--preset--color--custom-tertiary);
}

.logo-overlap img {
	position: absolute;
	top: -200px;
	left: 50%;
	transform: translatex(-50%);
}
.logo-65-sm,
.logo-65 {
	position: relative;
}
.logo-65-sm:before,
.logo-65:before {
	content: '';
	display: block;
	position: relative;
	top: 62px;
	left: 50%;
	transform: translateX(-50%);
	width: 90%;
	height: 4px;
	border-radius: 4px;
	background: var(--wp--preset--color--custom-tertiary);
}
.logo-65-sm:before {
	top: 120px;
}
.logo-65-sm img,
.logo-65 img {
	position: relative;
	left: 50%;
	transform: translatex(-50%);
}
@media (max-width: 780px) {
	.curved-line:before {
		left: 50%;
		top: -50%;
		height: 100%;
		transform: rotate(90deg);
	}
	.divider-shape:before {
		display: none;
	}
}
/* END Accents  and Lines */

/* Helpers */
.hide-mobile {
	display: none;
}
.relative {
	position: relative;
}
.no-max-width {
	max-width: unset!important;
}
.overflow-hidden {
	overflow: hidden;
}
.full-width {
	margin: 0;
  width: 100%;
	max-width: 100%;
}
.full-width .wp-block-group {
	max-width: var(--wp--style--global--content-size);
	width: 90%;
}
.align-self-center {
	align-self: center!important;
}
.reverse-col {
	flex-flow: row-reverse wrap;
}
.gap-0 {
	gap: 0!important;
	margin-top: 0;
}
p strong{
	font-weight:700!important;
}
.accordion .wp-block-columns {
}
.accordion .wp-block-details {
	position: relative;
	margin: 0;
}
.accordion .wp-block-details summary {
	padding-right: 20px;
}
.accordion .wp-block-details summary:after {
	content: '\e5cf';
	font-family: 'Material Icons';
	position: absolute;
	top: 0;
  right: 0;
	font-size: 45px;
	opacity: 1;
	color: var(--wp--preset--color--primary);
	transition: all 0.2s;
}
.accordion .wp-block-details[open] summary:after {
	transform: rotateZ(180deg);
}
.accordion summary::marker {
  font-size: 0;
}
.img-text {
	position: relative;
}
.img-text .wp-block-image {
	position: relative;
	z-index: 1;
	margin: 0;
}
.img-text .wp-block-heading {
	position: absolute;
	left: 50%;
	transform: translateX(-50%);
	top: 0;
	width: 100%;
	height: 100%;
	padding: 40px 5%;
	margin: 0;
	text-align: center;
	align-content: flex-end;
	z-index: 3;
	color: #FFF!important;
}
.img-text .wp-block-heading:before {
	content: '';
	position: absolute;
	bottom: 0;
	left: 0;
	width: 100%;
	height: 150px;
	z-index: -1;
	background: rgba(0, 0, 0, 8);
background: -webkit-linear-gradient(bottom, rgba(0, 0, 0, 0.6) 0%, rgba(0, 0, 0, 0.6) 60%, rgba(0, 0, 0, 0) 100%);
background: -moz-linear-gradient(bottom, rgba(0, 0, 0, 0.6) 0%, rgba(0, 0, 0, 0.6) 60%, rgba(0, 0, 0, 0) 100%);
background: -o-linear-gradient(bottom, rgba(0, 0, 0, 0.6) 0%, rgba(0, 0, 0, 0.6) 60%, rgba(0, 0, 0, 0) 100%);
background: linear-gradient(to top, rgba(0, 0, 0, 0.6) 0%, rgba(0, 0, 0, 0.6) 60%, rgba(0, 0, 0, 0) 100%);
}
.overlay-buttons {
	position: relative;
}
.overlay-buttons .wp-block-column {
	position: relative;
}
.overlay-buttons .wp-block-column .wp-block-image img {
	position: relative;
	margin-bottom: 30px;
	z-index: 1;
}
.overlay-buttons .wp-block-column .wp-block-button {
	position: absolute;
	display: inline-block;
	bottom: 30px;
	left: 50%;
	transform: translateX(-50%);
	z-index: 2;
	width: 90%;
	max-width: 300px;
}
.map-full {
	margin: 0 auto!important;
	max-width: 100%;
	width: 100%;
}
.full-width .wp-block-group.quote-with-shadow {
	width: 60%!important;
	max-width: 750px!important;
	box-shadow: 20px -20px 0px 0px rgba(19,41,75,0.75);
-webkit-box-shadow: 20px -20px 0px 0px rgba(19,41,75,0.75);
-moz-box-shadow: 20px -20px 0px 0px rgba(19,41,75,0.75);
}
.full-width .wp-block-group.quote-with-shadow-green {
	width: 60%!important;
	max-width: 750px!important;
	box-shadow: 20px -20px 0px 0px rgba(44,82,52,0.75);
-webkit-box-shadow: 20px -20px 0px 0px rgba(44,82,52,0.75);
-moz-box-shadow: 20px -20px 0px 0px rgba(44,82,52,0.75);
}
@media(max-width: 901px) {
	.overlay-buttons.wp-block-columns {
    flex-wrap: wrap !important;
		flex-flow: column nowrap;	
	}
	.full-width .wp-block-group.quote-with-shadow {
		max-width: 90%!important;
		width: 90%!important;
	}
}

/* END Helpers */

.section-nav--inline {
  display:flex; 
	flex-wrap:wrap; 
	align-items:center;
  list-style:none; 
	margin:15px 0 30px; 
	padding:0;
	justify-content: center;
}
.section-nav--inline > li { position:relative; padding-right:8px; }
.section-nav--inline > li:not(:last-child)::after {
  content:""; display:inline-block; width:2px; height:.95em; background:#d8c58a; vertical-align:middle; margin-left:.1rem;
}
.section-nav--inline a { text-decoration:none; font-weight:600; color:#0b2a57; }
.section-nav--inline a:hover,
.section-nav--inline .current-menu-item > a { text-decoration:underline; }

/* Footer styles */
.ctct-form-custom {
	display: flex;
	flex-flow: row wrap;
}
.ctct-form-defaults {
	padding: 0 5%!important;
}
.ctct-form-embed.form_0 .ctct-form-defaults .ctct-form-header {
	flex-basis: 100%;
	font-size: 22px;
}
.ctct-form-embed.form_0 .ctct-form-custom .ctct-form-button {
		order: 1;

}
div.ctct-form-embed form.ctct-form-custom div.ctct-form-field {
	flex-basis: 100%;
}
#gdpr_text {
	order: 2;
}
div.ctct-form-embed form.ctct-form-custom input.ctct-form-element {

}
.ctct-form-button {

	
}
#archiveList ul{
	list-style-type:none;
	padding:0px;
}
#archiveList ul li{
	padding-bottom:20px;
}